Bug 4524

Summary: IllegalArgumentException during starting JPDA debugger on Solaris
Product: debugger Reporter: Milan Kubec <mkubec>
Component: JavaAssignee: Daniel Prusa <dprusa>
Status: CLOSED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 3.x   
Target Milestone: TBD   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Milan Kubec 1999-10-15 18:14:46 UTC
Debugger cannot be started on Solaris at all.

java.lang.IllegalArgumentException: unable to parse port number in address
        at com.sun.tools.jdi.SocketTransport.startListening(SocketTransport.java:93)
        at com.sun.tools.jdi.RawCommandLineLauncher.launch(RawCommandLineLauncher.java:74)
        at com.netbeans.developer.modules.debugger.jpda.JPDADebugger.startDebugger(JPDADebugger.java:239)
        at com.netbeans.developer.modules.debugger.core.CoreDebugger.startSession(CoreDebugger.java:493)
        at com.netbeans.developer.modules.debugger.core.CoreDebugger.startDebugger(CoreDebugger.java:157)
        at com.netbeans.developer.modules.debugger.jpda.JPDADebuggerType.startDebugger(JPDADebuggerType.java:70)
        at org.openide.loaders.ExecSupport.debug(ExecSupport.java:122)
        at org.openide.actions.DebuggerPerformer$StartDebugThread.run(DebuggerPerformer.java:291)
Comment 1 Jan Stola 2000-07-27 16:23:59 UTC
Verified in Build 2011.
Comment 2 Quality Engineering 2003-07-02 16:00:21 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo